/****************************************************************************************
 * 项目用途：演示SPI主机的用法
 * 文件名: main.c
 * 项目名: KF8A100FTN_SPI_Master
 * 版 本: v1.0
 * 日 期: 2019年09月02日 17时17分49秒
 * 作 者: charles_cai
 * 功能：主机发送10个数据，并带回10个数据，主机验证收到的数据正确性，正确则LED2闪烁。错误则停止闪烁。
 * SPI主机接口：
 * 		SDI——P01——数字输入模式
 * 		SDO——P17——数字输出模式
 * 		SCK——P00——数字输出模式
 * 		SS——P05——数字输出模式
 ****************************************************************************************/
#include"main.h"
//主函数
void main()
{
	unsigned char k=0, Flag=0;
	Init_osc();
	Init_GPIO();

	Init_SPI();//初始化SPI外设
	while(1)
	{
		for(k=0;k<10;k++)//填写待发送的数据到Send_BUF
		{
			Send_BUF[k]=k;
		}

		SS=0;//使能从机
		SPI_mul(10);//发送Send_BUF中的10个数据
		SS=1;//复位从机

		for(k=0;k<10;k++)//验证从机发来的数据是否正确
		{
			if(k+10 == Reciv_BUF[k])
				Flag=1;
			else
			{
				Flag=0;
				break;
			}
			Reciv_BUF[k] =0;
		}

		if(Flag)//如果从机发来的数据正确LED2闪烁
		{
			Flag=0;
			Delay_ms_loop(100);
			LED2 =0;
			Delay_ms_loop(100);
			LED2 =1;
		}

	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{

}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
